Bug 695509 - [abrt] openoffice.org-draw-1:3.3.0-20.2.fc14: SdNavigatorWin::RefreshDocumentLB killed by signal 11 (SIGSEGV)
Summary: [abrt] openoffice.org-draw-1:3.3.0-20.2.fc14: SdNavigatorWin::RefreshDocument...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7c95a6db8970fc267996f26c093...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-11 21:45 UTC by rainman3d2002
Modified: 2011-06-21 17:14 UTC (History)
1 user (show)

Fixed In Version: openoffice.org-3.3.0-20.6.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-09 04:04:37 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (40.12 KB, text/plain)
2011-04-11 21:46 UTC, rainman3d2002
no flags Details

Description rainman3d2002 2011-04-11 21:45:58 UTC
abrt version: 1.1.17
architecture: i686
Attached file: backtrace, 41080 bytes
cmdline: /usr/lib/openoffice.org3/program/sdraw.bin -draw file:///home/yuryd/Documents/Novels/Personal_Novels/Galaxy_Child/Draft1/Book1/TheDinner.odg
component: openoffice.org
Attached file: coredump, 92758016 bytes
crash_function: String::Assign
executable: /usr/lib/openoffice.org3/program/sdraw.bin
kernel: 2.6.35.11-83.fc14.i686
package: openoffice.org-draw-1:3.3.0-20.2.fc14
rating: 4
reason: Process /usr/lib/openoffice.org3/program/sdraw.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1302557720
uid: 500

How to reproduce
-----
1. Open I drawing I made earlier, it crashed almost immediately upon opening, but didn't fully display the window.
2.
3.

Comment 1 rainman3d2002 2011-04-11 21:46:00 UTC
Created attachment 491358 [details]
File: backtrace

Comment 2 Caolan McNamara 2011-04-12 08:27:25 UTC
Not the typical thing to happen. Can you attach the document you were opening when this happened ?

Comment 3 Caolan McNamara 2011-04-17 21:54:05 UTC
aStr = pDocShell->GetMedium()->GetName();

maybe we can take it that there was no medium, hence the explosion

Comment 4 Caolan McNamara 2011-04-17 22:00:34 UTC
lets try that in >= 3.3.0-20.6 if we do another update for f14

Comment 5 Fedora Update System 2011-05-05 04:25:10 UTC
libreoffice-3.3.2.2-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libreoffice-3.3.2.2-7.fc15

Comment 6 Fedora Update System 2011-05-05 21:53:01 UTC
Package libreoffice-3.3.2.2-7.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.3.2.2-7.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/libreoffice-3.3.2.2-7.fc15
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-05-09 04:04:23 UTC
libreoffice-3.3.2.2-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-06-09 08:24:02 UTC
openoffice.org-3.3.0-20.6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-20.6.fc14

Comment 9 Fedora Update System 2011-06-21 17:14:23 UTC
openoffice.org-3.3.0-20.6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.